LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 02-21-2005, 04:17 PM   #1
Andy Alkaline
Member
 
Registered: Jun 2004
Location: Minnesota, USA
Distribution: Slackware32-stable, Debian-wheezy-amd64, LFS 7.1
Posts: 355

Rep: Reputation: 33
getmail/python 2.4 warning - after upgrade


I just upgraded from Slackware 10.0.0 to 10.1.0, and after running getmail -- which was previously configured -- receive the following warning message (I changed the name@pop for posting purposes):

getmail version 4.2.5
Copyright (C) 1998-2004 Charles Cazabon. Licensed under the GNU GPL version 2.
SimplePOP3Retriever:<name>@<popserver>:110:
/usr/lib/python2.4/email/__init__.py:43: DeprecationWarning: 'strict' argument is deprecated (and ignored)
return Parser(*args, **kws).parsestr(s)
msg 7/7 (3713 bytes) delivered
1 messages retrieved, 6 skipped

I had getmail configured to keep messages on the server. The only time this warning message appears is when it's retrieving a new message. If there are old messages on the server, and if there are no new messages on the server, then getmail runs cleanly when it polls.

I did upgrade both python and getmail using the packages that came with 10.1
 
Old 04-02-2005, 01:06 PM   #2
oxleyk
Member
 
Registered: Nov 2003
Distribution: Ubuntu
Posts: 309

Rep: Reputation: 30
I get this message also and the fix that is posted on http://pyropus.ca/software/getmail/f...warning-strict doesn't seem to work.

Any suggestions?

Kent
 
Old 04-13-2005, 01:57 AM   #3
Andy Alkaline
Member
 
Registered: Jun 2004
Location: Minnesota, USA
Distribution: Slackware32-stable, Debian-wheezy-amd64, LFS 7.1
Posts: 355

Original Poster
Rep: Reputation: 33
No suggestions but to edit /usr/bin/getmail as per the instructions on that page you gave me. Thanks. I switched to fetchmail, and will probably keep using it. I went over the docs again and saw how to use UID's so fetchmail wouldn't keep downloading the same messages over and over if they were kept on the server. I then had an idea to run the imap daemon, so I can now just remove them with fetchmail, then set up an imap account to localhost in Mozilla and see them that way. Much easier.
 
Old 04-13-2005, 10:13 AM   #4
oxleyk
Member
 
Registered: Nov 2003
Distribution: Ubuntu
Posts: 309

Rep: Reputation: 30
Yes, I went back to fetchmail myself. It seems to work just as well with no warning messages.

Kent
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
KDE3.5 Upgrade kdebindings-python dependency errors EclipseAgent Suse/Novell 26 12-27-2005 10:46 AM
pygtk warning after upgrade Kanaflloric Linux - Software 1 09-28-2004 05:51 AM
CPU temp warning after 2.6 kernel upgrade R00ts Linux - Software 19 08-22-2004 03:08 PM
Python 2.1 upgrade to 2.3 chris3435 Linux - Software 3 03-23-2004 07:33 AM
Python 2.3 upgrade problems zynor Linux - Software 5 09-08-2003 06:24 PM


All times are GMT -5. The time now is 08:19 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration